<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginBottom="50dp"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/gray_f0"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="10dp"
                android:text="工作内容"
                android:textColor="@color/black"
                android:textStyle="bold" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="vertical"
                android:paddingTop="10dp"
                android:paddingBottom="10dp">

                <LinearLayout style="@style/item_hor_content">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="工作名称"
                        android:textColor="@color/black"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:background="@null"
                        android:gravity="right"
                        android:hint="未录入"
                        android:textSize="14sp" />
                </LinearLayout>


                <LinearLayout style="@style/item_hor_content">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="要求开始"
                        android:textColor="@color/black"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_start_time"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:clickable="true"
                        android:focusable="true"
                        android:gravity="right"
                        android:hint="未录入"
                        android:textColor="@color/black"
                        android:textSize="14sp" />
                </LinearLayout>

                <LinearLayout style="@style/item_hor_content">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="要求结束"
                        android:textColor="@color/black"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_end_time"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:clickable="true"
                        android:focusable="true"
                        android:gravity="right"
                        android:hint="未录入"
                        android:textColor="@color/black"
                        android:textSize="14sp" />
                </LinearLayout>

                <LinearLayout style="@style/item_hor_content">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="完成时限"
                        android:textColor="@color/black"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_tl"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:background="@null"
                        android:gravity="right"
                        android:hint="未录入"
                        android:textSize="14sp" />
                </LinearLayout>

                <LinearLayout style="@style/item_hor_content">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="承办人"
                        android:textColor="@color/black"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_undertake"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:clickable="true"
                        android:focusable="true"
                        android:gravity="right"
                        android:hint="未录入"
                        android:textColor="@color/black"
                        android:textSize="14sp" />
                </LinearLayout>

                <LinearLayout style="@style/item_hor_content">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="协办人"
                        android:textColor="@color/black"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_assisted"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:clickable="true"
                        android:focusable="true"
                        android:gravity="right"
                        android:hint="未录入"
                        android:textColor="@color/black"
                        android:textSize="14sp" />
                </LinearLayout>


                <LinearLayout style="@style/item_hor_content">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="写入日程"
                        android:textColor="@color/black"
                        android:textSize="14sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:orientation="horizontal">

                        <androidx.appcompat.widget.SwitchCompat
                            android:id="@+id/sw_schedule"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@drawable/switch_ios_track_selector"
                            android:enabled="false"
                            android:switchMinWidth="40dp"
                            android:switchPadding="0dp"
                            android:textOff=""
                            android:textOn=""
                            app:showText="false"
                            app:splitTrack="false"
                            app:theme="@style/scstyle"
                            app:thumbTint="#00000000"
                            app:trackTint="#00000000" />
                    </LinearLayout>
                </LinearLayout>

            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:background="@color/white"
                android:orientation="vertical"
                android:paddingTop="5dp"
                android:paddingBottom="10dp">

                <LinearLayout style="@style/item_ver">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="结果要求"
                        android:textColor="@color/black"
                        android:textSize="14sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp"
                        android:background="@drawable/shp_rectangle_gray"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/tv_request"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:background="@null"
                            android:gravity="left"
                            android:hint="未录入"
                            android:minLines="3"
                            android:padding="5dp"
                            android:textColor="@color/black"
                            android:textSize="14sp" />

                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:background="@color/white"
                android:orientation="vertical"
                android:paddingTop="5dp"
                android:paddingBottom="10dp">

                <LinearLayout style="@style/item_ver">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="备注"
                        android:textColor="@color/black"
                        android:textSize="14sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp"
                        android:background="@drawable/shp_rectangle_gray"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/tv_remark"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:background="@null"
                            android:gravity="left"
                            android:hint="未录入"
                            android:minLines="3"
                            android:padding="5dp"
                            android:textColor="@color/black"
                            android:textSize="14sp" />

                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:background="@color/white"
                android:orientation="vertical"
                android:paddingTop="5dp"
                android:paddingBottom="10dp">

                <LinearLayout style="@style/item_ver">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="文件附件"
                        android:textColor="@color/black"
                        android:textSize="14sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp"
                        android:background="@drawable/shp_rectangle_gray"
                        android:orientation="vertical">

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rlv_files"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            tools:itemCount="3" />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_restore"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="10dp"
                    android:text="办结内容"
                    android:textColor="@color/black"
                    android:textStyle="bold" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:background="@color/white"
                    android:orientation="vertical"
                    android:paddingTop="5dp"
                    android:paddingBottom="10dp">

                    <LinearLayout style="@style/item_ver">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:text="回复内容"
                            android:textColor="@color/black"
                            android:textSize="14sp" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="5dp"
                            android:background="@drawable/shp_rectangle_gray"
                            android:orientation="vertical">

                            <EditText
                                android:id="@+id/et_restore"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:background="@null"
                                android:gravity="left"
                                android:hint="请输入回复内容"
                                android:minLines="3"
                                android:padding="5dp"
                                android:textColor="@color/black"
                                android:textSize="14sp" />

                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:background="@color/white"
                    android:orientation="vertical"
                    android:paddingTop="5dp"
                    android:paddingBottom="10dp">

                    <LinearLayout style="@style/item_ver">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:text="回复文件"
                            android:textColor="@color/black"
                            android:textSize="14sp" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="5dp"
                            android:background="@drawable/shp_rectangle_gray"
                            android:orientation="vertical">

                            <androidx.recyclerview.widget.RecyclerView
                                android:id="@+id/rlv_restore_files"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                tools:itemCount="3" />
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <Button
        android:id="@+id/btn_confirm"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:text="办结" />
</RelativeLayout>